curl --request GET \
--url https://api.lemlist.com/api/database/filters \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/database/filters"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/database/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/database/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/database/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Get Database Filters
Retrieves available filters for searching the people and companies database.
curl --request GET \
--url https://api.lemlist.com/api/database/filters \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/database/filters"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/database/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/database/filters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/database/filters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}- you will not be able to use a filter for a People database query if the leads keyword is not listed in the mode property
- you will not be able to use a filter for a Companies database query if the companies keyword is not listed in the mode property
- to build a saved search, call this endpoint with
usage=ui: saved searches refuse the filters that are not usable in the People Database UI - a filter of type
slidertakesmin|maxranges inin(see itsrange); the search, export and Create persona endpoints refuse anoutvalue or a range in another format on it
Authorizations
Query Parameters
Context the filters will be used in. api (default) lists the filters accepted by the search endpoints. ui lists the filters usable in the People Database UI: use it to pick the filters of a saved search, which refuses the others.
api, ui Response
Success
Human-readable filter name, followed by a description of what the filter matches when one exists
"Department: Filter by the lead's department (e.g. 'Sales', 'Marketing', 'Engineering', 'Finance / Legal / Admin', 'Human Resources'). Use to target a functional buyer persona regardless of the exact job title."
Kind of input the filter expects. level is a two-level dropdown of the People Database UI; it is reported as select by default. A slider filter takes min|max ranges in in (see range) and no out value. The search, export and Create persona endpoints refuse an out value or a range in another format on it.
text, select, autocomplete, static, slider, level, elasticId "select"
Was this page helpful?